## START: Set by rpmautospec
## (rpmautospec version 0.3.5)

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ttf-parser

Name:           rust-ttf-parser
Version:        0.18.1
Release:        %mkrel 0.2
Summary:        High-level, safe, zero-allocation TrueType font parser

Group:          Development/Rust
BuildArch:      noarch

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ttf-parser
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude unwanted files
# * remove unused pico-args dev-dependency
Patch:          ttf-parser-fix-metadata.diff

BuildRequires:  rust-packaging >= 21
BuildRequires:  rust-base64_0.13-devel

%global _description %{expand:
A high-level, safe, zero-allocation TrueType font parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-base64_0.13-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-base64_0.13-devel

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+apple-layout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+apple-layout-devel %{_description}

This package contains library source intended for building other packages which
use the "apple-layout" feature of the "%{crate}" crate.

%files       -n %{name}+apple-layout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+glyph-names-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+glyph-names-devel %{_description}

This package contains library source intended for building other packages which
use the "glyph-names" feature of the "%{crate}" crate.

%files       -n %{name}+glyph-names-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gvar-alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gvar-alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "gvar-alloc" feature of the "%{crate}" crate.

%files       -n %{name}+gvar-alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+opentype-layout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+opentype-layout-devel %{_description}

This package contains library source intended for building other packages which
use the "opentype-layout" feature of the "%{crate}" crate.

%files       -n %{name}+opentype-layout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+variable-fonts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+variable-fonts-devel %{_description}

This package contains library source intended for building other packages which
use the "variable-fonts" feature of the "%{crate}" crate.

%files       -n %{name}+variable-fonts-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# only unit tests are included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.18.1-0.2.mga10
+ Revision: 2220256
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Rust

* Sat Nov 04 2023 tv <tv> 0.18.1-0.1.mga10
+ Revision: 2004123
- imported package rust-ttf-parser


* Sat Nov 04 2023 Thierry Vignaud <tv@mageia.org> 0.18.1-1.mga10
- Import from FC

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.18.1-1
- Update to 0.18.1

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2; Fixes RHBZ#2093578

* Wed Mar 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-1
- Update to version 0.15.0; Fixes RHBZ#2016849

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-4
- Bump svgtypes from 0.6 to 0.8.

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-3
- Bump svgtypes from 0.5 to 0.6.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3.
- Fixes RHBZ#1897853

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Initial package

